package org.eclipse.example.webservice.runtime.ui;

import java.util.Vector;

import org.eclipse.wst.command.internal.env.core.ICommandFactory;
import org.eclipse.wst.command.internal.env.core.SimpleCommandFactory;
import org.eclipse.wst.common.environment.IEnvironment;
import org.eclipse.wst.ws.internal.wsrt.AbstractWebServiceClient;
import org.eclipse.wst.ws.internal.wsrt.IContext;
import org.eclipse.wst.ws.internal.wsrt.ISelection;
import org.eclipse.wst.ws.internal.wsrt.WebServiceClientInfo;
import org.eclipse.wst.ws.internal.wsrt.WebServiceScenario;

public class ExampleWebserviceClient extends AbstractWebServiceClient
{
	
  public ExampleWebserviceClient(WebServiceClientInfo info)
  {
    super(info);
  }

  public ICommandFactory assemble(IEnvironment env, IContext ctx,
      ISelection sel, String project, String earProject)
  {
    return null;
  }

  public ICommandFactory deploy(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    return null;
  }

  public ICommandFactory develop(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
	    Vector commands = new Vector();
	    DataModel model = new DataModel();
	    
	    model.setOptionalPage1(true);
	    model.setOptionalPage2(true);

	    commands.add(new ExampleDefaultingCommand( model ) );
	    commands.add(new Page1ComesUpBeforeThisTDCommand( model ) );

	    return new SimpleCommandFactory(commands);
  }

  public ICommandFactory install(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    return null;
  }

  public ICommandFactory run(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    return null;
  }
}
